List Claims
curl --request GET \
--url https://api.production.orderprotection.com/v1/claims \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.production.orderprotection.com/v1/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.production.orderprotection.com/v1/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edges": [
{
"node": {
"id": "cm0b57zjv00myq52xh0c590b8",
"storeId": "teststore2",
"orderId": "order_77",
"sourceOrderId": "llhVsSDgn",
"sourceOrderNumber": "xtwCvToLXq",
"authorName": "Desiree Ward II",
"authorEmail": "Garrison_Wehner88@gmail.com",
"claimDescription": "Cito substantia dignissimos. Adhuc quibusdam capio odio aiunt ante stillicidium aegre. Deorsum cognomen thymbra umquam theca sodalitas.",
"claimState": "APPROVED",
"isOta": false,
"otaDescription": null,
"externalSource": "api",
"claimType": null,
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null,
"policyId": "policy_77",
"claimResolutions": [
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"resolution": "REFUND",
"claimState": "APPROVED",
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null
}
],
"claimItems": [
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"itemId": "item_77",
"quantity": 1,
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null
}
],
"claimMessages": [
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"message": "Dolorum quidem quod. Deorsum cognomen thymbra umquam theca sodalitas.",
"authorName": "Desiree Ward II",
"medias": []
}
]
}
}
],
"pageInfo": {
"startCursor": "cm0b57zjv00myq52xh0c590b8",
"endCursor": "cm0b57zjv00myq52xh0c590b8",
"hasNextPage": false,
"hasPreviousPage": false
}
}Claims
Get Claims
GET
/
v1
/
claims
List Claims
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Show child attributes
Show child attributes
Response
Show child attributes
Show child attributes
Example:
[
{
"node": {
"id": "cm0b57zjv00myq52xh0c590b8",
"storeId": "teststore2",
"orderId": "order_77",
"sourceOrderId": "llhVsSDgn",
"sourceOrderNumber": "xtwCvToLXq",
"authorName": "Desiree Ward II",
"authorEmail": "Garrison_Wehner88@gmail.com",
"claimDescription": "Cito substantia dignissimos. Adhuc quibusdam capio odio aiunt ante stillicidium aegre. Deorsum cognomen thymbra umquam theca sodalitas.",
"claimState": "APPROVED",
"isOta": false,
"otaDescription": null,
"externalSource": "api",
"claimType": null,
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null,
"policyId": "policy_77",
"claimResolutions": [
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"resolution": "REFUND",
"claimState": "APPROVED",
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null
}
],
"claimItems": [
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"itemId": "item_77",
"quantity": 1,
"createdAt": "2024-08-26T15:18:28.795Z",
"updatedAt": "2024-08-26T15:18:28.795Z",
"deletedAt": null
}
],
"claimMessages": [
{
"id": "cm0b57zjv00myq52xh0c590b8",
"claimId": "cm0b57zjv00myq52xh0c590b8",
"message": "Dolorum quidem quod. Deorsum cognomen thymbra umquam theca sodalitas.",
"authorName": "Desiree Ward II",
"medias": []
}
]
}
}
]
Show child attributes
Show child attributes
Example:
{
"startCursor": "cm0b57zjv00myq52xh0c590b8",
"endCursor": "cm0b57zjv00myq52xh0c590b8",
"hasNextPage": false,
"hasPreviousPage": false
}
⌘I

